about summary refs log tree commit diff
path: root/tests/t0010-validate-html.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/t0010-validate-html.sh')
-rwxr-xr-xtests/t0010-validate-html.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/tests/t0010-validate-html.sh b/tests/t0010-validate-html.sh
index 94aa52b..3fe4800 100755
--- a/tests/t0010-validate-html.sh
+++ b/tests/t0010-validate-html.sh
@@ -9,7 +9,7 @@ test_url()
 	test -z "$NO_TIDY_WARNINGS" || tidy_opt+=" --show-warnings no"
 	cgit_url "$1" >trash/tidy-$test_count || return
 	sed -ie "1,4d" trash/tidy-$test_count || return
-	tidy $tidy_opt trash/tidy-$test_count
+	"$tidy" $tidy_opt trash/tidy-$test_count
 	rc=$?
 
 	# tidy returns with exitcode 1 on warnings, 2 on error
@@ -23,6 +23,13 @@ test_url()
 
 prepare_tests 'Validate html with tidy'
 
+tidy=`which tidy`
+test -n "$tidy" || {
+	echo "Skipping tests: tidy not found"
+	tests_done
+	exit
+}
+
 run_test 'index page' 'test_url ""'
 run_test 'foo' 'test_url "foo"'
 run_test 'foo/log' 'test_url "foo/log"'